<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />
<og:head headType="query" />

<jsp:directive.include file="/jsp/custom/query_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GF9110"
	title	= "標準(タグ)"
	date	= "2008/10/27"
	author	= "Hiroki.Nakamura"
	text	= ""
	version	= "001"
/>

<form method="GET" action="forward.jsp" target="RESULT"  onSubmit="timeSet();">
	<!-- 変更はここから -->
	<table summary="layout" >
		<tr>
			<og:column name="SET_GRP"  	aimai="V*"	/>
			<og:column name="TOKEN"		aimai="V*"	/>

			<!-- GG03 の 選択ﾀｲﾌﾟ(SEL_TYPE)='1' は、登録ｸﾞﾙｰﾌﾟ と 製品 の選択肢 -->
			<og:column name="SEIHIN"	editor="DBMENU"
				param="select SEL_KEY,SEL_VAL || ':' || SEL_KEY from GG03 where SEL_TYPE='1' and FGJ='1' order by SEL_KEY,SEQNO"
			/>
		</tr>
		<tr>
			<og:column name="TKN_NM"	aimai="V*"	/>
			<og:column name="BIKO"		aimai="V*"	/>

			<!-- GG03 の 選択ﾀｲﾌﾟ(SEL_TYPE)='2' は、登録ｸﾞﾙｰﾌﾟ と 設備 の選択肢 -->
			<og:column name="SETUBI"	editor="DBMENU"
				param="select SEL_KEY,SEL_VAL || ':' || SEL_KEY from GG03 where SEL_TYPE='2' and FGJ='1' order by SEL_KEY,SEQNO"
			/>
		</tr>
	</table>

	<og:queryButton>
		<og:select name="ORDER_BY" lbl="ORDER_BY" td="no">
			<og:option value="A.SET_GRP,A.ROWNO,A.COLNO"	lbls ="SET_GRP,ROWNO,COLNO"	selected="selected" />
			<og:option value="A.SET_GRP,A.TOKEN,A.SUBKEY"	lbls ="SET_GRP,TOKEN,SUBKEY" />
		</og:select>
	</og:queryButton>
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
